.technologies {
    .techicons {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(120px, 1fr)); 
        grid-gap: 3em;
        margin-bottom: min(80px, 15%);

        @media (max-width: 576px) {
            grid-template-columns: repeat(auto-fill, minmax(80px, 1fr)); 
        }


        &__item {
            display: flex;
            justify-content: center;
            transition-duration: 1s;
            scale: 1;

            &:hover {
                scale: 1.1;
            }

            @media (max-width: 576px) {
                svg {
                    width: 60px;
                    height: 60px;
                }
            }
        }
    }

    .techcontents {
        max-height: 0;
        opacity: 0;
        overflow: hidden;
        display: flex;
        flex-direction: column;
        gap: 25px;
        transition: 0.6s ease;

        .techcontent {
            color: $white;

            &__title {
                @include text20;
                margin-bottom: 5px;
            }

            &__text {
                @include text16;
            }
        }
    }

    .techcontents.show {
        max-height: 100vh;
        opacity: 1;
        overflow: visible;
        margin-bottom: min(80px, 15%);

        ~ .more-button {
            .text {
                &::after {
                    content: "Свернуть";
                }
            }

            .arrow {
                transform: rotate(180deg);
            }
        }
    }

    .more-button {
        @include text20;
        display: flex;
        align-items: end;
        justify-content: center;
        gap: 10px;
        color: $white;
        text-align: center;
        margin: 0 auto;
        
        .text {
            &::after {
                content: "Подробнее";
                transition: 0.3s ease;
            }
        }

        .arrow {
            transform: rotate(0);
            transition: 0.3s ease;
        }

        &:hover {
            color: $orange;

            .arrow {
                transition: 0.3s ease;

                path {
                    color: orange;
                }
            }
        }
    }
}